// IRToolDlg.cpp : implementation file
//
//#include "..\struct.h"
#include "stdafx.h"
#include "IRTool.h"
#include "IRToolDlg.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif




/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CIRToolDlg dialog

CIRToolDlg::CIRToolDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CIRToolDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CIRToolDlg)
	m_hexCode = _T("");
	m_0 = _T("");
	m_1 = _T("");
	m_carrier = _T("");
	m_oneTime = _T("");
	m_repeat = _T("");
	m_message = _T("");
	m_freqHelp = _T("");
	m_deviceType = -1;
	m_bOTCheck = FALSE;
	m_OTDevice = _T("");
	m_OTCommand = _T("");
	m_OTLeadout = _T("");
	m_OTLeadin = _T("");
	m_OTPad = _T("");
	m_bRepCheck = FALSE;
	m_RepDevice = _T("");
	m_RepLeadin = _T("");
	m_RepLeadout = _T("");
	m_RepPad = _T("");
	m_RepCommand = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CIRToolDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CIRToolDlg)
	DDX_Control(pDX, IDC_FREQ_STATIC, m_freqStatic);
	DDX_Control(pDX, IDC_CARRIER_EDIT, m_carrierEdit);
	DDX_Control(pDX, IDC_REPEAT_EDIT, m_RepRawEdit);
	DDX_Control(pDX, IDC_REP_RAW_STATIC, m_RepRawStatic);
	DDX_Control(pDX, IDC_REP_PAD_STATIC, m_RepPadStatic);
	DDX_Control(pDX, IDC_REP_PAD_EDIT, m_RepPadEdit);
	DDX_Control(pDX, IDC_REP_LEADOUT_STATIC, m_RepLeadoutStatic);
	DDX_Control(pDX, IDC_REP_LEADOUT_EDIT, m_RepLeadoutEdit);
	DDX_Control(pDX, IDC_REP_LEADIN_STATIC, m_RepLeadinStatic);
	DDX_Control(pDX, IDC_REP_LEADIN_EDIT, m_RepLeadinEdit);
	DDX_Control(pDX, IDC_REP_DEVICE_STATIC, m_RepDeviceStatic);
	DDX_Control(pDX, IDC_REP_DEVICE_EDIT, m_RepDeviceEdit);
	DDX_Control(pDX, IDC_REP_CMD_STATIC, m_RepCmdStatic);
	DDX_Control(pDX, IDC_REP_CMD_EDIT, m_RepCmdEdit);
	DDX_Control(pDX, IDC_ONE_TIME_EDIT, m_OTRawEdit);
	DDX_Control(pDX, IDC_OT_CMD_EDIT, m_OTCmdEdit);
	DDX_Control(pDX, IDC_OT_DEVICE_EDIT, m_OTDeviceEdit);
	DDX_Control(pDX, IDC_OT_LEADOUT_EDIT, m_OTLeadoutEdit);
	DDX_Control(pDX, IDC_OT_RAW_STATIC, m_OTRawStatic);
	DDX_Control(pDX, IDC_OT_LEADOUT_STATIC, m_OTLeadoutStatic);
	DDX_Control(pDX, IDC_OT_DEVICE_STATIC, m_OTDeviceStatic);
	DDX_Control(pDX, IDC_OT_CMD_STATIC, m_OTCmdStatic);
	DDX_Control(pDX, IDC_OT_LEADIN_STATIC, m_OTLeadinStatic);
	DDX_Control(pDX, IDC_OT_LEADIN_EDIT, m_OTLeadinEdit);
	DDX_Control(pDX, IDC_OT_PAD_STATIC, m_OTPadStatic);
	DDX_Control(pDX, IDC_OT_PAD_EDIT, m_OTPadEdit);
	DDX_Control(pDX, IDC_TYPE_COMBO, m_TypeCombo);
	DDX_Text(pDX, IDC_HEX_CODES, m_hexCode);
	DDX_Text(pDX, IDC_0_EDIT, m_0);
	DDX_Text(pDX, IDC_1_EDIT, m_1);
	DDX_Text(pDX, IDC_CARRIER_EDIT, m_carrier);
	DDX_Text(pDX, IDC_ONE_TIME_EDIT, m_oneTime);
	DDX_Text(pDX, IDC_REPEAT_EDIT, m_repeat);
	DDX_Text(pDX, IDC_MSG_STATIC, m_message);
	DDX_Text(pDX, IDC_FREQ_STATIC, m_freqHelp);
	DDX_CBIndex(pDX, IDC_TYPE_COMBO, m_deviceType);
	DDX_Check(pDX, IDC_OT_CHECK, m_bOTCheck);
	DDX_Text(pDX, IDC_OT_DEVICE_EDIT, m_OTDevice);
	DDX_Text(pDX, IDC_OT_CMD_EDIT, m_OTCommand);
	DDX_Text(pDX, IDC_OT_LEADOUT_EDIT, m_OTLeadout);
	DDX_Text(pDX, IDC_OT_LEADIN_EDIT, m_OTLeadin);
	DDX_Text(pDX, IDC_OT_PAD_EDIT, m_OTPad);
	DDX_Check(pDX, IDC_REP_CHECK, m_bRepCheck);
	DDX_Text(pDX, IDC_REP_DEVICE_EDIT, m_RepDevice);
	DDX_Text(pDX, IDC_REP_LEADIN_EDIT, m_RepLeadin);
	DDX_Text(pDX, IDC_REP_LEADOUT_EDIT, m_RepLeadout);
	DDX_Text(pDX, IDC_REP_PAD_EDIT, m_RepPad);
	DDX_Text(pDX, IDC_REP_CMD_EDIT, m_RepCommand);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CIRToolDlg, CDialog)
	//{{AFX_MSG_MAP(CIRToolDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_ENCODE_BUTTON, OnEncodeButton)
	ON_BN_CLICKED(IDC_DECODE_BUTTON, OnDecodeButton)
	ON_CBN_SELENDOK(IDC_TYPE_COMBO, OnSelendokTypeCombo)
	ON_EN_KILLFOCUS(IDC_CARRIER_EDIT, OnKillfocusCarrierEdit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CIRToolDlg message handlers

BOOL CIRToolDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	CWnd* hexEdit = GetDlgItem(IDC_HEX_CODES);
	if (hexEdit) 
	{

		m_fontHexWin.CreatePointFont(90, "Courier New");
		hexEdit->SetFont(&m_fontHexWin);

	}
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CIRToolDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CIRToolDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CIRToolDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CIRToolDlg::OnEncodeButton() 
{
	// TODO: Add your control notification handler code here
	CCode c;
	WORD num1;
	WORD num2;

	UpdateData(true);	// get data
	m_hexCode = _T("");
	m_message = _T("");

	//AfxMessageBox("About to memset Code structure");
	c.m_bOneTime = false;
	c.m_bpOne.value = 0;
	c.m_bpZero.value = 0;
	c.m_bRepeat = false;
	c.m_cpOneTime.m_bpLeadIn.value = 0;
	c.m_cpOneTime.m_bpLeadOut.value = 0;
	c.m_cpOneTime.m_bpPad.value = 0;
	c.m_cpOneTime.m_nCommand = 0;
	c.m_cpOneTime.m_nDevice = 0;
	c.m_cpOneTime.m_nLength = 0;
	c.m_cpOneTime.m_sRaw = _T("");
	c.m_cpRepeat.m_bpLeadIn.value = 0;
	c.m_cpRepeat.m_bpLeadOut.value = 0;
	c.m_cpRepeat.m_bpPad.value = 0;
	c.m_cpRepeat.m_nCommand = 0;
	c.m_cpRepeat.m_nDevice = 0;
	c.m_cpRepeat.m_nLength = 0;
	c.m_cpRepeat.m_sRaw = _T("");
	c.m_nCarrier = 0;
	c.m_type = IRCODE_FORMAT(m_deviceType);



	//AfxMessageBox("About to sscanf for carrier");

	if (sscanf(LPCTSTR(m_carrier), "%x", &num1) < 1)
	{
		m_message = _T("No carrier value specified");
		UpdateData(false);
		return;
	}

	c.m_nCarrier = num1;
	
	if (m_deviceType < IR_UNKNOWN)
	{
		m_message = _T("No device type specified");
		UpdateData(false);
		return;
	}

	//AfxMessageBox("About to interpret_bit 0");

	if (sscanf(LPCTSTR(m_0), "%x %x", &num1, &num2) < 2)
	{
		m_message = _T("No burst pair for 0");
		UpdateData(false);
		return;
	}
	c.m_bpZero.pair[0] = num1;
	c.m_bpZero.pair[1] = num2;


	//AfxMessageBox("About to interpret_bit 1");
	if (sscanf(LPCTSTR(m_1), "%x %x", &num1, &num2) < 2)
	{
		m_message = _T("No burst pair for 1");
		UpdateData(false);
		return;
	}
	c.m_bpOne.pair[0] = num1;
	c.m_bpOne.pair[1] = num2;

	c.m_bOneTime = m_bOTCheck;
	c.m_bRepeat = m_bRepCheck;

	if (m_bOTCheck)
	{
		if (m_deviceType != IR_UNKNOWN)
		{
			if (sscanf(LPCTSTR(m_OTDevice), "%d", &num1) < 1)
			{
				m_message = _T("No device specified for One Time part");
				UpdateData(false);
				return;
			}
			
			c.m_cpOneTime.m_nDevice = num1;

			if (sscanf(LPCTSTR(m_OTCommand), "%d", &num1) < 1)
			{
				m_message = _T("No command specified for One TIme part");
				UpdateData(false);
				return;
			}
			c.m_cpOneTime.m_nCommand = num1;

			if (sscanf(LPCTSTR(m_OTLeadin), "%x %x", &num1, &num2) != EOF)
			{
				c.m_cpOneTime.m_bpLeadIn.pair[0] = num1;
				c.m_cpOneTime.m_bpLeadIn.pair[1] = num2;
			}

			if (sscanf(LPCTSTR(m_OTLeadout), "%x %x", &num1, &num2) != EOF)
			{
				c.m_cpOneTime.m_bpLeadOut.pair[0] = num1;
				c.m_cpOneTime.m_bpLeadOut.pair[1] = num2;
			}

			if (m_deviceType == IR_SONY_5 || m_deviceType == IR_SONY_8 || m_deviceType == IR_SONY_13)
			{
				c.m_cpOneTime.m_bpLeadOut.pair[1] = c.m_cpOneTime.m_bpLeadOut.pair[0];
				c.m_cpOneTime.m_bpLeadOut.pair[0] = 0;
			}

			if (sscanf(LPCTSTR(m_OTPad), "%x %x", &num1, &num2) != EOF)
			{
				c.m_cpOneTime.m_bpPad.pair[0] = num1;
				c.m_cpOneTime.m_bpPad.pair[1] = num2;
			}
		}
		c.m_cpOneTime.m_sRaw = m_oneTime;
	}

	if (m_bRepCheck)
	{
		if (m_deviceType != IR_UNKNOWN)
		{
			if (sscanf(LPCTSTR(m_RepDevice), "%d", &num1) < 1)
			{
				m_message = _T("No device specified for Repeat part");
				UpdateData(false);
				return;
			}
			c.m_cpRepeat.m_nDevice = num1;

			if (sscanf(LPCTSTR(m_RepCommand), "%d", &num1) < 1)
			{
				m_message = _T("No command specified for Repeat part");
				UpdateData(false);
				return;
			}
			c.m_cpRepeat.m_nCommand = num1;

			if (sscanf(LPCTSTR(m_RepLeadin), "%x %x", &num1, &num2) != EOF)
			{
				c.m_cpRepeat.m_bpLeadIn.pair[0] = num1;
				c.m_cpRepeat.m_bpLeadIn.pair[1] = num2;
			}

			if (sscanf(LPCTSTR(m_RepLeadout), "%x %x", &num1, &num2) != EOF)
			{
				c.m_cpRepeat.m_bpLeadOut.pair[0] = num1;
				c.m_cpRepeat.m_bpLeadOut.pair[1] = num2;
			}
			if (m_deviceType == IR_SONY_5 || m_deviceType == IR_SONY_8 || m_deviceType == IR_SONY_13)
			{
				c.m_cpRepeat.m_bpLeadOut.pair[1] = c.m_cpRepeat.m_bpLeadOut.pair[0];
				c.m_cpRepeat.m_bpLeadOut.pair[0] = 0;
			}

			if (sscanf(LPCTSTR(m_RepPad), "%x %x", &num1, &num2) != EOF)
			{
				c.m_cpRepeat.m_bpPad.pair[0] = num1;
				c.m_cpRepeat.m_bpPad.pair[1] = num2;
			}
		}
		c.m_cpRepeat.m_sRaw = m_repeat;
	}

	int e = m_CIRCode.EncodeHex(m_hexCode, c);
	if (e < 0)
	{
		m_message.LoadString(-e);
		m_hexCode = _T("");
	}

	UpdateData(false);	// write back
}

void CIRToolDlg::OnDecodeButton() 
{

	// TODO: Add your control notification handler code here
	CCode	c;
	UpdateData(true);
	m_0 = _T("");
	m_1 = _T("");
	m_carrier = _T("");
	m_repeat = _T("");
	m_oneTime = _T("");
	m_message = _T("");
	m_OTCommand = _T("");
	m_OTLeadin = _T("");
	m_OTLeadout = _T("");
	m_OTPad = _T("");	
	m_OTDevice = _T("");
	m_RepCommand = _T("");
	m_RepLeadin = _T("");
	m_RepLeadout = _T("");
	m_RepPad = _T("");	
	m_RepDevice = _T("");
	//AfxMessageBox("About to memset Code structure");
	if (!m_hexCode.IsEmpty())
	{
		
		int e = m_CIRCode.DecodeHex(LPCTSTR(m_hexCode), c);
		if (e < 0)
		{
			e = -e;
			m_message.LoadString(e);
		}
		else
		{
			m_deviceType = e;

			m_carrier.Format("%04x", c.m_nCarrier);
			m_freqHelp.Format("%u cycles = %0.3f KHz",
				c.m_nCarrier, 
				1000.0 / (float(c.m_nCarrier) * 0.241246));	
			m_0.Format("%04x %04x", 
				c.m_bpZero.pair[0],
				c.m_bpZero.pair[1]);
			m_1.Format("%04x %04x", 
				c.m_bpOne.pair[0],
				c.m_bpOne.pair[1]);

			m_bOTCheck = c.m_bOneTime;
			m_bRepCheck = c.m_bRepeat;

			if (m_bOTCheck)
			{
				if (e != IR_UNKNOWN)
				{

					m_OTDevice.Format("%d", c.m_cpOneTime.m_nDevice);
					m_OTCommand.Format("%d", c.m_cpOneTime.m_nCommand);
					if (c.m_cpOneTime.m_bpLeadIn.value != 0)
						m_OTLeadin.Format("%04x %04x",
							c.m_cpOneTime.m_bpLeadIn.pair[0],
							c.m_cpOneTime.m_bpLeadIn.pair[1]);
					if (c.m_cpOneTime.m_bpLeadOut.value != 0)
					{
						if (e == IR_SONY_5 || e == IR_SONY_8 || e == IR_SONY_13)
						{
							m_OTLeadout.Format("%04x", c.m_cpOneTime.m_bpLeadOut.pair[1]);
						}
					else
						{
							m_OTLeadout.Format("%04x %04x",
								c.m_cpOneTime.m_bpLeadOut.pair[0],
								c.m_cpOneTime.m_bpLeadOut.pair[1]);
						}
					}
					if (c.m_cpOneTime.m_bpPad.value != 0)
						m_OTPad.Format("%04x %04x",
							c.m_cpOneTime.m_bpPad.pair[0],
							c.m_cpOneTime.m_bpPad.pair[1]);
				}
				else
				{
					m_oneTime = c.m_cpOneTime.m_sRaw;
				}
			}

			if (m_bRepCheck)
			{
				if (e != IR_UNKNOWN)
				{

					m_RepDevice.Format("%d", c.m_cpRepeat.m_nDevice);
					m_RepCommand.Format("%d", c.m_cpRepeat.m_nCommand);
					if (c.m_cpRepeat.m_bpLeadIn.value != 0)
						m_RepLeadin.Format("%04x %04x",
							c.m_cpRepeat.m_bpLeadIn.pair[0],
							c.m_cpRepeat.m_bpLeadIn.pair[1]);
					if (c.m_cpRepeat.m_bpLeadOut.value != 0)
					{
						if (e == IR_SONY_5 || e == IR_SONY_8 || e == IR_SONY_13)
						{
							m_RepLeadout.Format("%04x", c.m_cpRepeat.m_bpLeadOut.pair[1]);
						}
						else
						{
							m_RepLeadout.Format("%04x %04x",
								c.m_cpRepeat.m_bpLeadOut.pair[0],
								c.m_cpRepeat.m_bpLeadOut.pair[1]);
						}
					}
					if (c.m_cpRepeat.m_bpPad.value != 0)
						m_RepPad.Format("%04x %04x",
							c.m_cpRepeat.m_bpPad.pair[0],
							c.m_cpRepeat.m_bpPad.pair[1]);
				}
				else
				{
					m_repeat = c.m_cpRepeat.m_sRaw;
				}
			}
		}

		UpdateData(false);
		OnSelendokTypeCombo();

	}

}



void CIRToolDlg::OnSelendokTypeCombo() 
{
	// TODO: Add your control notification handler code here
	m_OTPadEdit.EnableWindow(1 == m_TypeCombo.GetCurSel());	
	m_OTPadStatic.EnableWindow(1 == m_TypeCombo.GetCurSel());
	m_OTLeadinEdit.EnableWindow(m_TypeCombo.GetCurSel() >= 2);	
	m_OTLeadinStatic.EnableWindow(m_TypeCombo.GetCurSel() >= 2);
	m_OTRawStatic.EnableWindow(0 == m_TypeCombo.GetCurSel());
	m_OTRawEdit.EnableWindow(0 == m_TypeCombo.GetCurSel());
	m_OTDeviceEdit.EnableWindow(0 != m_TypeCombo.GetCurSel());
	m_OTDeviceStatic.EnableWindow(0 != m_TypeCombo.GetCurSel());
	m_OTLeadoutStatic.EnableWindow(0 != m_TypeCombo.GetCurSel());
	m_OTLeadoutEdit.EnableWindow(0 != m_TypeCombo.GetCurSel());
	m_OTCmdStatic.EnableWindow(0 != m_TypeCombo.GetCurSel());
	m_OTCmdEdit.EnableWindow(0 != m_TypeCombo.GetCurSel());

	m_RepPadEdit.EnableWindow(1 == m_TypeCombo.GetCurSel());	
	m_RepPadStatic.EnableWindow(1 == m_TypeCombo.GetCurSel());
	m_RepLeadinEdit.EnableWindow(m_TypeCombo.GetCurSel() >= 2);	
	m_RepLeadinStatic.EnableWindow(m_TypeCombo.GetCurSel() >= 2);
	m_RepRawStatic.EnableWindow(0 == m_TypeCombo.GetCurSel());
	m_RepRawEdit.EnableWindow(0 == m_TypeCombo.GetCurSel());
	m_RepDeviceEdit.EnableWindow(0 != m_TypeCombo.GetCurSel());
	m_RepDeviceStatic.EnableWindow(0 != m_TypeCombo.GetCurSel());
	m_RepLeadoutStatic.EnableWindow(0 != m_TypeCombo.GetCurSel());
	m_RepLeadoutEdit.EnableWindow(0 != m_TypeCombo.GetCurSel());
	m_RepCmdStatic.EnableWindow(0 != m_TypeCombo.GetCurSel());
	m_RepCmdEdit.EnableWindow(0 != m_TypeCombo.GetCurSel());

}





void CIRToolDlg::OnKillfocusCarrierEdit() 
{
	// TODO: Add your control notification handler code here
	CString str;
	m_carrierEdit.GetWindowText(str);
	WORD num;
	if (sscanf(LPCTSTR(str), "%lx", &num) == 1)
	{
		m_freqHelp.Format("%u cycles = %0.3f KHz",
			num, 1000.0 / (float(num) * 0.241246));	
		m_freqStatic.SetWindowText(m_freqHelp);
	}
}


void
CIRToolDlg::OnOK()
{
	// empty.  Ignnore enter/ok
}

void
CIRToolDlg::OnCancel()
{
	if (AfxMessageBox(_T("OK to exit?"), MB_YESNO) == IDYES)
	{
		CDialog::OnCancel();
	}
}
