
#if !defined(DecodeIR_H__INCLUDED_)
#define DecodeIR_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "stdafx.h"
#include <string.h>
#include "IRCode.h"

// DLL Decode routines
typedef void (CALLBACK* typeDecodeIR) 
		(unsigned int* Context,
		const int* TpaiBursts, 	
		const int TiFreq, 
		const int TiSingleBurstCount, 
		const int TiRepeatBurstCount, 
		char* TsProtocol, 
		int* TiDevice, 
		int* TiSubDevice, 
		int* TiOBC, 
		int TaiHex[4], 
		char* TsMisc, 
		char* TsError);

typedef int (CALLBACK* typeProtocolSupportLevel) (char * TsProtocol);

int TryDLL(pairArray &Data,int iCarrier, int iOneTimeLength,int iRepeatLength);
int HexCmdToEFC(int iHexCmd);
HINSTANCE LoadDll();
int ProtocolSupportLevel(char *Protocol);

#endif 