// IRToolDlg.h : header file
//

#if !defined(AFX_IRTOOLDLG_H__B43F7995_F6B1_11D2_AF49_00104B7981C1__INCLUDED_)
#define AFX_IRTOOLDLG_H__B43F7995_F6B1_11D2_AF49_00104B7981C1__INCLUDED_

#include "IRCode.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//#include "..\struct.h"

/////////////////////////////////////////////////////////////////////////////
// CIRToolDlg dialog

class CIRToolDlg : public CDialog
{
// Construction
public:
	CIRToolDlg(CWnd* pParent = NULL);	// standard constructor






// Dialog Data
	//{{AFX_DATA(CIRToolDlg)
	enum { IDD = IDD_IRTOOL_DIALOG };
	CStatic	m_freqStatic;
	CEdit	m_carrierEdit;
	CEdit	m_RepRawEdit;
	CStatic	m_RepRawStatic;
	CStatic	m_RepPadStatic;
	CEdit	m_RepPadEdit;
	CStatic	m_RepLeadoutStatic;
	CEdit	m_RepLeadoutEdit;
	CStatic	m_RepLeadinStatic;
	CEdit	m_RepLeadinEdit;
	CStatic	m_RepDeviceStatic;
	CEdit	m_RepDeviceEdit;
	CStatic	m_RepCmdStatic;
	CEdit	m_RepCmdEdit;
	CEdit	m_OTRawEdit;
	CEdit	m_OTCmdEdit;
	CEdit	m_OTDeviceEdit;
	CEdit	m_OTLeadoutEdit;
	CStatic	m_OTRawStatic;
	CStatic	m_OTLeadoutStatic;
	CStatic	m_OTDeviceStatic;
	CStatic	m_OTCmdStatic;
	CStatic	m_OTLeadinStatic;
	CEdit	m_OTLeadinEdit;
	CStatic	m_OTPadStatic;
	CEdit	m_OTPadEdit;
	CComboBox	m_TypeCombo;
	CString	m_hexCode;
	CString	m_0;
	CString	m_1;
	CString	m_carrier;
	CString	m_oneTime;
	CString	m_repeat;
	CString	m_message;
	CString	m_freqHelp;
	int		m_deviceType;
	BOOL	m_bOTCheck;
	CString	m_OTDevice;
	CString	m_OTCommand;
	CString	m_OTLeadout;
	CString	m_OTLeadin;
	CString	m_OTPad;
	BOOL	m_bRepCheck;
	CString	m_RepDevice;
	CString	m_RepLeadin;
	CString	m_RepLeadout;
	CString	m_RepPad;
	CString	m_RepCommand;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIRToolDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	virtual void OnOK();
	virtual void OnCancel();

	// Generated message map functions
	//{{AFX_MSG(CIRToolDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnEncodeButton();
	afx_msg void OnDecodeButton();
	afx_msg void OnSelendokTypeCombo();
	afx_msg void OnKillfocusCarrierEdit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CIRCode m_CIRCode;
	CFont m_fontHexWin;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IRTOOLDLG_H__B43F7995_F6B1_11D2_AF49_00104B7981C1__INCLUDED_)
